{% extends "base.html" %}

{% block content %}
<div class="container">  
    <small class="text-muted">{{ message }}</small> <br><br> 
<h1 class="display-4">Update Pengantaran Farmasi</h1>
<p class="lead font-italic">FarmaKami Indonesia</p>
<hr class="my-4">

<div class="container">    
      
    <form method="post">
        <label>ID Pengantaran: </label>  
        <input type="text" name="id_transaksi" item="id_transaksi" style="background-color: #C8C8C8; " value= {{ id }} disabled> 
        <br>
        {% csrf_token %}
        <label>ID Kurir: </label>
        <select id="id_kurir_select" name="id_kurir_select">
            <option value="none">none</option>
            {% for id in idkurir %}
               <option value={{id.id_kurir}}>{{id.id_kurir}}</option>
            {% endfor %}
        </select>
        <br><label>ID Transaksi Pembelian: </label>
        <select id="id_transaksi_select" name="id_transaksi_select">
            <option value="none">none</option>
            {% for id in idtransaksi %}
               <option value={{id.id_transaksi_pembelian}}>{{id.id_transaksi_pembelian}}</option>
            {% endfor %}
        </select>
        <br>
        <label>Waktu: </label>
        <input type="datetime-local" id="waktu_select" name="waktu" value="{{ form.waktu.value }}">
        <br><label>Status Pengantaran: </label>
        {{form.status_pengantaran}} <br>
        <label>Biaya Kirim: </label>
        {{form.biaya_kirim}} <br>
        <label>Total Biaya: </label> 
        <input type="text" name="total_biaya" item="total_biaya" style="background-color: #C8C8C8; " value= {{ biaya }} disabled> 
        <br>
        <button class="btn btn-outline-primary" type="submit">Update</button>
    </form> 
</div>

<style>
    input, select, .temp {
        display: block;
        width: 50%;
        height: 34px;
        padding: 6px 12px;
        font-size: 14px;
        line-height: 1.42857143;
        color: #555;
        background-color: #fff;
        background-image: none;
        border: 1px solid #ccc;
        border-radius: 4px;
        -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
        -webkit-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
        -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
        -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
        transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
        transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
        transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    }
</style>

{% endblock content %}